"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx2 = _interopRequireDefault(require("clsx"));

var _NewBtn = _interopRequireDefault(require("./NewBtn"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["label", "color", "shadow", "optionShadow", "className", "withIcon", "square", "underline", "children"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var ButtonComponent = function ButtonComponent(props) {
  var _clsx;

  var label = props.label,
      color = props.color,
      shadow = props.shadow,
      optionShadow = props.optionShadow,
      className = props.className,
      withIcon = props.withIcon,
      square = props.square,
      underline = props.underline,
      children = props.children,
      restProps = (0, _objectWithoutProperties2.default)(props, _excluded);
  var styles = (0, _styles.default)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_NewBtn.default, _objectSpread(_objectSpread({
    color: color,
    disableFocusRipple: true,
    disableTouchRipple: true,
    variant: "contained",
    className: (0, _clsx2.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, styles.shadow, shadow), (0, _defineProperty2.default)(_clsx, styles.icon, withIcon), (0, _defineProperty2.default)(_clsx, styles.square, square), (0, _defineProperty2.default)(_clsx, styles.underline, underline), (0, _defineProperty2.default)(_clsx, className, !!className), _clsx))
  }, restProps), {}, {
    children: [label !== '' && label, children !== '' && children]
  }));
};

var _default = ButtonComponent;
exports.default = _default;