"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StandardWithError = exports.StandardGroup = exports.StandardDisabled = exports.Standard = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = require("react");

var _core = require("@material-ui/core");

var _Checkbox = _interopRequireDefault(require("./Checkbox"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Atoms/Checkbox',
  component: _Checkbox.default,
  args: {
    style: {
      width: 'auto',
      height: 'auto'
    }
  }
};
exports.default = _default;

var CheckboxComponent = function CheckboxComponent(_ref) {
  var args = (0, _extends2.default)({}, _ref);

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, _objectSpread(_objectSpread({}, args), {}, {
    checked: localValue,
    name: "name",
    onChange: function onChange(e) {
      return setValue(e.target.checked);
    }
  }));
};

var CheckboxGroupComponent = function CheckboxGroupComponent(_ref2) {
  var args = (0, _extends2.default)({}, _ref2);

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      localValue = _useState4[0],
      setValue = _useState4[1];

  var _useState5 = (0, _react.useState)(false),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      localValue2 = _useState6[0],
      setValue2 = _useState6[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    display: "flex",
    flexDirection: "column",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, _objectSpread(_objectSpread({}, args), {}, {
      checked: localValue,
      name: "name",
      onChange: function onChange(e) {
        return setValue(e.target.checked);
      }
    })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, _objectSpread(_objectSpread({}, args), {}, {
      checked: localValue2,
      name: "lastname",
      onChange: function onChange(e) {
        return setValue2(e.target.checked);
      }
    }))]
  });
};
/* Standard */


var Standard = CheckboxComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  label: 'Checkbox'
};
var StandardDisabled = CheckboxComponent.bind({});
exports.StandardDisabled = StandardDisabled;
StandardDisabled.args = {
  label: 'Checkbox',
  disabled: true
};
var StandardWithError = CheckboxComponent.bind({});
exports.StandardWithError = StandardWithError;
StandardWithError.args = {
  label: 'Checkbox',
  error: true
};
var StandardGroup = CheckboxGroupComponent.bind({});
exports.StandardGroup = StandardGroup;
StandardGroup.args = {
  label: 'Checkbox'
};