import { CheckboxProps, RadioClassKey, FormControlClassKey, CheckboxClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
import { IFormControlLabel } from '../FormControlLabel/interfaces';
interface IClasses extends Partial<ClassNameMap<FormControlClassKey>> {
    root?: string;
    label?: string;
    classesCheckbox?: Partial<ClassNameMap<CheckboxClassKey>>;
    classesRadio?: Partial<ClassNameMap<RadioClassKey>>;
}
export interface ICheckbox extends CheckboxProps {
    label?: string;
    classes?: IClasses;
    formControlLabelProps?: IFormControlLabel;
    error?: boolean;
    radio?: boolean;
}
export {};
