import { Dispatch, SetStateAction, ChangeEventHandler } from 'react';
export interface ICodes {
    value: string;
    onChange?: ChangeEventHandler<HTMLInputElement | HTMLTextAreaElement> | undefined;
    error?: boolean;
    setError?: Dispatch<SetStateAction<boolean>>;
    count: number;
    className?: string;
    helperText?: string | Element;
    size?: 'small' | 'medium' | 'large';
    withSuccess?: boolean;
    withLine?: boolean;
    type?: string;
}
