"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    iconCalendar: {
      margin: '0 5px',
      cursor: 'pointer',
      '& svg': {
        color: palette.common.black
      }
    },
    calendar: {
      maxWidth: 480,
      width: '100%',
      borderRadius: 5,
      border: 'unset',
      '& .react-calendar__tile': {
        fontWeight: 500
      },
      '& .react-calendar__tile--active': {
        background: palette.primary.main,
        borderRadius: '50px'
      },
      '& .react-calendar__tile--hasActive': {
        background: palette.primary.main,
        color: palette.common.white,
        borderRadius: '50px'
      },
      '& .react-calendar__tile--now': {
        background: 'transparent',
        borderRadius: '50px',
        color: palette.common.black
      },
      '& .react-calendar__tile--active:enabled:hover, .react-calendar__tile--active:enabled:focus': {
        background: palette.primary.main,
        color: palette.common.white
      },
      '& .react-calendar__tile:enabled:hover': {
        background: palette.secondary.main,
        borderRadius: '50px',
        color: palette.common.black
      }
    }
  };
});

exports.default = _default;