"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StandardWithStartAdornment = exports.StandardWithError = exports.StandardAutocompleteSmall = exports.StandardAutocomplete = exports.Standard = exports.SecondaryWithStartAdornment = exports.SecondaryWithError = exports.SecondarySmall = exports.SecondaryLarge = exports.Secondary = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _Input = _interopRequireDefault(require("../Input"));

var _LazyImage = _interopRequireDefault(require("../LazyImage"));

var _Dropdown = _interopRequireDefault(require("./Dropdown"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["value"],
    _excluded2 = ["value"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// Data
var countries = ['Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Anguilla', 'Antigua Barbuda', 'Argentina', 'Armenia', 'Aruba', 'Australia', 'Austria'];
var optionsSecondaryStartAdornment = [{
  value: 'usd',
  label: 'USD',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-buy.png",
    alt: "icon buy"
  })
}, {
  value: 'btc',
  label: 'BTC',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-sell.png",
    alt: "icon sell"
  })
}, {
  value: 'ltc',
  label: 'LTC',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-send.png",
    alt: "icon send"
  })
}, {
  value: 'eth',
  label: 'ETH',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-receive.png",
    alt: "icon receive"
  })
}];
var numbers = [{
  value: '+52',
  label: '+52'
}, {
  value: '+53',
  label: '+53'
}, {
  value: '+54',
  label: '+54'
}, {
  value: '+55',
  label: '+55'
}];
var _default = {
  title: 'Tauros-web-ui/Atoms/Dropdown',
  component: _Dropdown.default
};
exports.default = _default;

var DropdownComponent = function DropdownComponent(_ref) {
  var value = _ref.value,
      args = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput
  }));
};

var InputAutoCompleteComponentSmall = function InputAutoCompleteComponentSmall(_ref2) {
  var value = _ref2.value,
      args = (0, _objectWithoutProperties2.default)(_ref2, _excluded2);

  var _useState3 = (0, _react.useState)(value),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      localValue = _useState4[0],
      setValue = _useState4[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    style: {
      display: 'flex',
      alignItems: 'end'
    },
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, _objectSpread(_objectSpread({}, args), {}, {
      value: localValue,
      onChange: onChangeInput,
      style: {
        width: 56
      }
    })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      value: "412 158 0866",
      style: {
        marginLeft: 20
      }
    })]
  });
};
/* Standard */


var Standard = DropdownComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  value: '',
  placeholder: 'País',
  options: countries.map(function (opt) {
    return {
      value: opt,
      label: opt
    };
  })
};
var StandardWithError = DropdownComponent.bind({});
exports.StandardWithError = StandardWithError;
StandardWithError.args = {
  value: '',
  label: 'País',
  options: countries.map(function (opt) {
    return {
      value: opt,
      label: opt
    };
  }),
  error: true,
  helperText: 'Dropdown Text Error'
};
var StandardWithStartAdornment = DropdownComponent.bind({});
exports.StandardWithStartAdornment = StandardWithStartAdornment;
StandardWithStartAdornment.args = {
  value: '',
  options: optionsSecondaryStartAdornment,
  placeholder: 'Elije una moneda',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/add-icon.png",
    alt: "icon add"
  })
};
/* Secondary */

var Secondary = DropdownComponent.bind({});
exports.Secondary = Secondary;
Secondary.args = {
  value: '',
  options: countries.map(function (opt) {
    return {
      value: opt,
      label: opt
    };
  }),
  variant: 'outlined',
  placeholder: 'País'
};
var SecondaryWithError = DropdownComponent.bind({});
exports.SecondaryWithError = SecondaryWithError;
SecondaryWithError.args = {
  value: '',
  options: countries.map(function (opt) {
    return {
      value: opt,
      label: opt
    };
  }),
  variant: 'outlined',
  placeholder: 'País',
  error: true
};
var SecondaryWithStartAdornment = DropdownComponent.bind({});
exports.SecondaryWithStartAdornment = SecondaryWithStartAdornment;
SecondaryWithStartAdornment.args = {
  value: '',
  options: optionsSecondaryStartAdornment,
  variant: 'outlined',
  placeholder: 'Elije una moneda',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/add-icon.png",
    alt: "icon add"
  })
};
var SecondarySmall = DropdownComponent.bind({});
exports.SecondarySmall = SecondarySmall;
SecondarySmall.args = {
  value: '',
  options: numbers,
  variant: 'outlined',
  placeholder: 'Default',
  size: 'small'
};
var SecondaryLarge = DropdownComponent.bind({});
exports.SecondaryLarge = SecondaryLarge;
SecondaryLarge.args = {
  value: '',
  options: countries.map(function (opt) {
    return {
      value: opt,
      label: opt
    };
  }),
  variant: 'outlined',
  placeholder: 'Default',
  size: 'large'
};
var StandardAutocomplete = DropdownComponent.bind({});
exports.StandardAutocomplete = StandardAutocomplete;
StandardAutocomplete.args = {
  value: '',
  label: 'País',
  options: countries.map(function (opt) {
    return {
      value: opt,
      label: opt
    };
  }),
  withAutocomplete: true
};
var StandardAutocompleteSmall = InputAutoCompleteComponentSmall.bind({});
exports.StandardAutocompleteSmall = StandardAutocompleteSmall;
StandardAutocompleteSmall.args = {
  value: '+52',
  label: 'Número celular',
  options: numbers,
  withAutocomplete: true
};