/// <reference types="react" />
import { Effect } from 'react-lazy-load-image-component';
interface ILazyImage {
    src: string;
    alt: string;
    srcSet?: string;
    className?: string;
    effect?: Effect;
}
declare const LazyImage: ({ src, alt, className, effect, ...rest }: ILazyImage) => JSX.Element;
export default LazyImage;
