"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      breakpoints = _ref.breakpoints;
  return {
    popoverRoot: (0, _defineProperty2.default)({
      backgroundColor: palette.background.popover,
      maxWidth: 327,
      pointerEvents: 'auto',
      '& p': {
        color: '#fff',
        fontWeight: 500,
        fontSize: 14,
        lineHeight: '20px',
        letterSpacing: '0.35px'
      }
    }, breakpoints.down('xs'), {
      maxWidth: 300
    }),
    popover: {
      pointerEvents: 'none'
    }
  };
});

exports.default = _default;