"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StandardWithError = exports.StandardGroup = exports.StandardDisabled = exports.Standard = exports.RadioCheckbox = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = require("react");

var _core = require("@material-ui/core");

var _Radio = _interopRequireDefault(require("./Radio"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Atoms/Radio',
  component: _Radio.default,
  args: {
    style: {
      width: 'auto',
      height: 'auto'
    }
  }
};
exports.default = _default;

var RadioComponent = function RadioComponent(_ref) {
  var args = (0, _extends2.default)({}, _ref);

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeRadio = function onChangeRadio(e) {
    return setValue(e.target.checked);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, _objectSpread(_objectSpread({}, args), {}, {
    checked: localValue,
    onChange: onChangeRadio
  }));
};

var RadioGroupComponent = function RadioGroupComponent(_ref2) {
  var args = (0, _extends2.default)({}, _ref2);

  var _useState3 = (0, _react.useState)(''),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      localValue = _useState4[0],
      setValue = _useState4[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    display: "flex",
    flexDirection: "column",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, _objectSpread(_objectSpread({}, args), {}, {
      checked: localValue === 'name',
      name: "name",
      onChange: function onChange(e) {
        return setValue(e.target.name);
      }
    })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, _objectSpread(_objectSpread({}, args), {}, {
      checked: localValue === 'lastname',
      name: "lastname",
      onChange: function onChange(e) {
        return setValue(e.target.name);
      }
    }))]
  });
};

var RadioCheckboxComponent = function RadioCheckboxComponent(_ref3) {
  var args = (0, _extends2.default)({}, _ref3);

  var _useState5 = (0, _react.useState)({
    a: false,
    b: false,
    c: false
  }),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      localValue = _useState6[0],
      setValue = _useState6[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    display: "flex",
    flexDirection: "column",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, {
      label: "A",
      checked: localValue.a,
      onClick: function onClick() {
        return setValue(_objectSpread(_objectSpread({}, localValue), {}, {
          a: !localValue.a
        }));
      }
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, {
      label: "B",
      checked: localValue.b,
      onClick: function onClick() {
        return setValue(_objectSpread(_objectSpread({}, localValue), {}, {
          b: !localValue.b
        }));
      }
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Radio.default, {
      label: "C",
      checked: localValue.c,
      onClick: function onClick() {
        return setValue(_objectSpread(_objectSpread({}, localValue), {}, {
          c: !localValue.c
        }));
      }
    })]
  });
};
/* Standard */


var Standard = RadioComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  label: 'Radio'
};
var StandardDisabled = RadioComponent.bind({});
exports.StandardDisabled = StandardDisabled;
StandardDisabled.args = {
  label: 'Radio',
  disabled: true
};
var StandardWithError = RadioComponent.bind({});
exports.StandardWithError = StandardWithError;
StandardWithError.args = {
  label: 'Radio',
  error: true
};
var StandardGroup = RadioGroupComponent.bind({});
exports.StandardGroup = StandardGroup;
StandardGroup.args = {
  label: 'Radio'
};
var RadioCheckbox = RadioCheckboxComponent.bind({});
exports.RadioCheckbox = RadioCheckbox;