import { RadioProps, FormControlClassKey, RadioClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
import { IFormControlLabel } from '../FormControlLabel/interfaces';
interface IClasses extends Partial<ClassNameMap<FormControlClassKey>> {
    root?: string;
    label?: string;
    classesRadio?: Partial<ClassNameMap<RadioClassKey>>;
}
export interface IRadio extends Omit<RadioProps, 'classes'> {
    label?: string;
    classes?: IClasses;
    formControlLabelProps?: IFormControlLabel;
    error?: boolean;
}
export {};
