"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LightSVG = exports.DarkSVG = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var DarkSVG = function DarkSVG(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("svg", _objectSpread(_objectSpread({
    width: 20,
    height: 20,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), {}, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("circle", {
      cx: 10,
      cy: 10,
      r: 9.5,
      fill: "#fff",
      stroke: "#687F99"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M10 5a5 5 0 1 0 4.944 4.244 3.002 3.002 0 1 1-4.189-4.189A5.623 5.623 0 0 0 10 5Z",
      fill: "#687F99"
    })]
  }));
};

exports.DarkSVG = DarkSVG;

var LightSVG = function LightSVG(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("svg", _objectSpread(_objectSpread({
    width: 20,
    height: 20,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), {}, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("circle", {
      cx: 10,
      cy: 10,
      r: 9.5,
      fill: "#fff",
      stroke: "#F7B90F"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("g", {
      clipPath: "url(#a)",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
        d: "M10 7.222a2.779 2.779 0 0 0 0 5.556 2.779 2.779 0 0 0 0-5.556Zm-5.556 3.333h1.111c.306 0 .556-.25.556-.555a.557.557 0 0 0-.556-.556h-1.11a.557.557 0 0 0-.556.556c0 .305.25.555.555.555Zm10 0h1.111c.306 0 .556-.25.556-.555a.557.557 0 0 0-.556-.556h-1.11a.557.557 0 0 0-.556.556c0 .305.25.555.555.555Zm-5-6.11v1.11c0 .306.25.556.556.556.306 0 .556-.25.556-.556v-1.11A.557.557 0 0 0 10 3.888a.557.557 0 0 0-.556.555Zm0 10v1.11c0 .306.25.556.556.556.306 0 .556-.25.556-.556v-1.11a.557.557 0 0 0-.556-.556.557.557 0 0 0-.556.555ZM6.661 5.877a.553.553 0 1 0-.783.783l.589.589a.553.553 0 1 0 .783-.784l-.589-.588Zm6.872 6.872a.553.553 0 1 0-.783.783l.589.589a.553.553 0 1 0 .783-.783l-.589-.59Zm.59-6.09a.553.553 0 1 0-.784-.782l-.59.588a.553.553 0 1 0 .784.784l.59-.59ZM7.25 13.534a.553.553 0 1 0-.783-.783l-.59.589a.553.553 0 1 0 .784.783l.589-.589Z",
        fill: "#F7B90F"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("defs", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("clipPath", {
        id: "a",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
          fill: "#fff",
          transform: "translate(3.333 3.333)",
          d: "M0 0h13.333v13.333H0z"
        })
      })
    })]
  }));
};

exports.LightSVG = LightSVG;