import { SwitchProps, FormControlClassKey, SwitchClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
import { IFormControlLabel } from '../FormControlLabel/interfaces';
interface IClasses extends Partial<ClassNameMap<FormControlClassKey>> {
    root?: string;
    label?: string;
    classesSwitch?: Partial<ClassNameMap<SwitchClassKey>>;
}
export interface ISwitch extends Omit<SwitchProps, 'classes'> {
    label?: string;
    classes?: IClasses;
    formControlLabelProps?: IFormControlLabel;
    error?: boolean;
    iosStyle?: boolean;
    isForTheme?: boolean;
}
export {};
