"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _theme = require("../../../theme");

var _jsxRuntime = require("react/jsx-runtime");

var ThemeProviderComponent = function ThemeProviderComponent(_ref) {
  var children = _ref.children,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? 'light' : _ref$theme;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.ThemeProvider, {
    theme: theme === 'light' ? _theme.light : _theme.dark,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.CssBaseline, {}), children]
  });
};

var _default = ThemeProviderComponent;
exports.default = _default;