"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _core = require("@material-ui/core");

var _react = require("react");

var _Atoms = require("../../Atoms");

var _AlertPopover = _interopRequireDefault(require("./AlertPopover"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Molecules/AlertPopover',
  component: _AlertPopover.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var AlertPopoverModalComponent = function AlertPopoverModalComponent(args) {
  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      checked = _useState4[0],
      setCheck = _useState4[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
      color: "primary",
      onClick: function onClick() {
        return setOpen(true);
      },
      children: "Open Alert Popover"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_AlertPopover.default, _objectSpread(_objectSpread({}, args), {}, {
      open: open,
      handleClosePopover: function handleClosePopover() {
        return setOpen(false);
      },
      handleSubmit: function handleSubmit() {
        alert('Sigue Intentando');
        setOpen(false);
      },
      title: "\xBFAun intentas verme?",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Checkbox, {
        label: "No volver a mostrar",
        checked: checked,
        name: "Hello",
        onChange: function onChange(e) {
          return setCheck(e.target.checked);
        }
      })
    }))]
  });
};

var Default = AlertPopoverModalComponent.bind({});
exports.Default = Default;