import { DialogActionsProps, DialogContentProps, DialogContentTextProps, PopoverProps } from '@material-ui/core';
import { IButton } from '../../Atoms/Button/interfaces';
export interface IAlertPopover extends PopoverProps {
    handleClosePopover: ((...args: any) => {}) | ((...args: any) => void);
    handleSubmit: ((...args: any) => {}) | ((...args: any) => void);
    dialogContentProps?: DialogContentProps;
    dialogContentTextProps?: DialogContentTextProps;
    dialogActionsProps?: DialogActionsProps;
    buttonCancelProps?: IButton;
    buttonSuccessProps?: IButton;
}
