"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _core = require("@material-ui/core");

var _BoxPesos = _interopRequireDefault(require("./BoxPesos"));

var _addons = require("@storybook/addons");

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useStyles = (0, _core.makeStyles)(function () {
  return {
    root: {
      display: 'flex',
      justifyContent: 'center'
    }
  };
});
var _default = {
  title: 'Tauros-web-ui/Molecules/BoxPesos',
  component: _BoxPesos.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var TabsComponent = function TabsComponent(args) {
  var _useState = (0, _react.useState)(args.value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  var styles = useStyles();

  var handleOnClick = function handleOnClick() {
    setValue('2500.00');
  };

  var handleOnChange = function handleOnChange(e) {
    setValue(e.target.value);
  };

  (0, _addons.useEffect)(function () {
    setValue(args.value);
  }, [args.value]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_BoxPesos.default, _objectSpread(_objectSpread({}, args), {}, {
    value: value,
    onChange: handleOnChange,
    onClick: handleOnClick
  }));
};

var Default = TabsComponent.bind({});
exports.Default = Default;
Default.parameters = {
  controls: {
    exclude: ['onChange', 'onClick']
  }
};
Default.args = {
  footer: ['Disponible: $2,500'],
  coin: 'MXN',
  buttonText: 'MAX',
  disabled: false,
  value: '',
  decimal: 2,
  focus: false,
  height: 115
};