"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.FooterWarning = exports.FooterOnlyStatus = exports.FooterError = exports.FooterDefault = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _Footer = _interopRequireDefault(require("./Footer"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Molecules/Footer',
  component: _Footer.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var FooterComponent = function FooterComponent(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Footer.default, _objectSpread({}, args));
};

var FooterDefault = FooterComponent.bind({});
exports.FooterDefault = FooterDefault;
FooterDefault.args = {
  onlyStatus: false,
  status: 'success',
  statusText: 'Todos los sistemas funcionales'
};
var FooterOnlyStatus = FooterComponent.bind({});
exports.FooterOnlyStatus = FooterOnlyStatus;
FooterOnlyStatus.args = {
  onlyStatus: true,
  status: 'success',
  statusText: 'Todos los sistemas funcionales'
};
var FooterWarning = FooterComponent.bind({});
exports.FooterWarning = FooterWarning;
FooterWarning.args = {
  onlyStatus: true,
  status: 'warning',
  statusText: 'Todos los sistemas funcionales'
};
var FooterError = FooterComponent.bind({});
exports.FooterError = FooterError;
FooterError.args = {
  onlyStatus: true,
  status: 'error',
  statusText: 'Todos los sistemas funcionales'
};