"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _core = require("@material-ui/core");

var _hooks = require("../../../hooks");

var _Atoms = require("../../Atoms");

var _Modal = _interopRequireDefault(require("./Modal"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Molecules/Modal',
  component: _Modal.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var ModalComponent = function ModalComponent(args) {
  var alert = (0, _hooks.useToast)();

  var _useState = (0, _react.useState)(args.open),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var handleClose = function handleClose() {
    setOpen(false);
  };

  var handleCloseBack = function handleCloseBack() {
    setOpen(false);
  };

  (0, _react.useEffect)(function () {
    setOpen(args.open);
  }, [args.open]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    padding: 2,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
      color: "primary",
      onClick: function onClick() {
        alert.success('Modal abierto');
        setOpen(true);
      },
      children: "Open Modal"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        width: 200,
        height: 200,
        position: 'relative'
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Loader, {
        isModal: true,
        showLoader: true,
        height: 30,
        width: 30,
        maxWidth: 30
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      variant: "h1",
      children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, _objectSpread(_objectSpread({}, args), {}, {
      open: open,
      handleClose: handleClose,
      handleCloseBack: handleCloseBack,
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
        children: ["Probando \u2764\uFE0F", /*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          style: {
            width: 200,
            height: 200,
            position: 'relative'
          },
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Loader, {
            isModal: true,
            showLoader: true,
            height: 30,
            width: 30,
            maxWidth: 30,
            isDark: true
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Input, {
          value: "Sol",
          onChange: null,
          endAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
            children: "BTC"
          }),
          style: {
            width: '100%'
          }
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Hola soy bata Hola soy bata Hola soy bata Hola soy bata"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          variant: "h1",
          children: "Spaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaam"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
          color: "primary",
          onClick: function onClick() {
            return setOpen(false);
          },
          children: "close Modal"
        })]
      })
    }))]
  });
};

var Default = ModalComponent.bind({});
exports.Default = Default;
Default.parameters = {
  controls: {
    exclude: ['children', 'classes', 'ref', 'handleClose', 'handleCloseBack', 'open']
  }
};
Default.args = {
  back: true,
  complete: false,
  theme: 'dark',
  title: 'Title'
};