import { DialogProps } from '@material-ui/core';
import { ReactChild, ReactNode } from 'react';
import { TFunc } from '../../../types/generics';
declare type TClasses = {
    container?: string;
    children?: string;
    iconButton?: string;
    iconBack?: string;
    root?: string;
    containerHeader?: string;
    title?: string;
};
export interface IModal extends DialogProps {
    open: boolean;
    children: ReactNode | ReactChild;
    handleClose?: TFunc;
    classes?: TClasses;
    back?: boolean;
    handleCloseBack?: TFunc;
    theme?: string;
    complete?: boolean;
    title?: string;
}
export {};
