"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _core = require("@material-ui/core");

var _clsx3 = _interopRequireDefault(require("clsx"));

var _qrcode = _interopRequireDefault(require("qrcode.react"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["value", "classes", "padding"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var QR = function QR(_ref) {
  var value = _ref.value,
      classes = _ref.classes,
      padding = _ref.padding,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
    position: "relative",
    className: (0, _clsx3.default)((0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.root, !!(classes !== null && classes !== void 0 && classes.root))),
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
      padding: padding,
      className: (0, _clsx3.default)(styles.containerQR, (0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.containerQR, !!(classes !== null && classes !== void 0 && classes.containerQR))),
      borderRadius: rest === null || rest === void 0 ? void 0 : rest.borderradius,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_qrcode.default, _objectSpread({
        value: value
      }, rest))
    })
  });
};

var _default = QR;
exports.default = _default;