"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _QR = _interopRequireDefault(require("./QR"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var useStyles = (0, _core.makeStyles)(function () {
  return {
    root: {
      display: 'flex',
      justifyContent: 'center'
    }
  };
});
var _default = {
  title: 'Tauros-web-ui/Molecules/QR',
  component: _QR.default,
  args: {},
  argTypes: {
    renderAs: {
      options: ['canvas', 'svg'],
      control: {
        type: 'select'
      },
      defaultValue: 'svg'
    },
    level: {
      options: ['L', 'M', 'Q', 'H'],
      control: {
        type: 'select'
      },
      defaultValue: 'H'
    }
  }
};
exports.default = _default;

var TabsComponent = function TabsComponent(args) {
  var styles = useStyles();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_QR.default, _objectSpread({
    classes: {
      root: styles.root
    },
    onClick: function onClick() {
      return console.log('sol');
    }
  }, args));
};

var Default = TabsComponent.bind({});
exports.Default = Default;
Default.parameters = {
  controls: {
    exclude: ['classes', 'rest']
  }
};
Default.args = {
  value: 'https://tauros.io/',
  size: 300,
  bgColor: '#FFFFFF',
  fgColor: '#000000',
  includeMargin: false,
  imageSettings: {
    src: 'https://static.coinbtr.com/media/coins/BTC_9ItLsUF.png',
    height: 70,
    width: 70,
    excavate: true
  },
  padding: 2.5,
  borderradius: 30
};