export declare type TClases = {
    root?: string;
    containerQR?: string;
};
export interface IQR {
    classes?: TClases;
    value: string;
    renderAs?: 'canvas' | 'svg';
    size?: number;
    bgColor?: string;
    fgColor?: string;
    level?: 'L' | 'M' | 'Q' | 'H';
    includeMargin?: boolean;
    imageSettings?: {
        src: string;
        x?: number;
        y?: number;
        height?: number;
        width?: number;
        excavate?: boolean;
    };
    padding: number;
    borderradius: number;
    [x: string]: any;
}
