import { Component } from 'react';
import { TFunc, TFuncArgs } from '../../../types/generics';
import { IRecaptcha } from './interfaces';
export default class ReCAPTCHA extends Component<IRecaptcha> {
    _widgetId: undefined;
    captcha: HTMLDivElement | undefined;
    _executeRequested: boolean;
    executionResolve?: TFuncArgs;
    executionReject?: TFunc;
    static defaultProps: {
        onChange: TFuncArgs;
        theme: string;
        type: string;
        tabindex: number;
        size: string;
        badge: string;
    };
    constructor(props: IRecaptcha);
    getValue(): any;
    getWidgetId(): null;
    execute(): any;
    executeAsync(): Promise<unknown>;
    reset(): void;
    forceReset(): void;
    handleExpired(): void;
    handleErrored(): void;
    handleChange(token: string | null): void;
    explicitRender(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    handleRecaptchaRef(elem: HTMLDivElement): void;
    render(): JSX.Element;
}
