"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TabsComponent;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _core = require("@material-ui/core");

var _styles = _interopRequireDefault(require("./styles"));

var _clsx5 = _interopRequireDefault(require("clsx"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["childrenHead", "chidlrenContent", "onChangeIndex", "className", "onChange", "value", "circle", "size", "classes"],
    _excluded2 = ["label"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function TabsComponent(_ref) {
  var _clsx2, _clsx3;

  var childrenHead = _ref.childrenHead,
      chidlrenContent = _ref.chidlrenContent,
      onChangeIndex = _ref.onChangeIndex,
      className = _ref.className,
      onChange = _ref.onChange,
      value = _ref.value,
      circle = _ref.circle,
      size = _ref.size,
      classes = _ref.classes,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: (0, _clsx5.default)(styles.root, (0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.root, !!(classes !== null && classes !== void 0 && classes.root))),
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Tabs, _objectSpread(_objectSpread({}, rest), {}, {
      className: (0, _clsx5.default)(styles.tabsHead, (_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes === null || classes === void 0 ? void 0 : classes.tabs, !!(classes !== null && classes !== void 0 && classes.tabs)), (0, _defineProperty2.default)(_clsx2, className, !!className), (0, _defineProperty2.default)(_clsx2, styles.tabHeadNormal, !circle), (0, _defineProperty2.default)(_clsx2, styles.circle, circle), (0, _defineProperty2.default)(_clsx2, styles.tabsHeadTiny, size === 'tiny'), (0, _defineProperty2.default)(_clsx2, styles.tabsHeadSmall, size === 'small'), (0, _defineProperty2.default)(_clsx2, styles.tabsHeadLarge, size === 'large'), _clsx2)),
      onChange: onChange,
      value: value,
      classes: {
        indicator: (0, _clsx5.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes === null || classes === void 0 ? void 0 : classes.indicator, !!(classes !== null && classes !== void 0 && classes.indicator)), (0, _defineProperty2.default)(_clsx3, styles.indicator, !circle), (0, _defineProperty2.default)(_clsx3, styles.circleIndicator, circle), _clsx3))
      },
      children: childrenHead.map(function (_ref2, index) {
        var _clsx4;

        var label = _ref2.label,
            rest = (0, _objectWithoutProperties2.default)(_ref2, _excluded2);
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Tab, _objectSpread({
          label: label,
          disableRipple: circle,
          classes: {
            root: (0, _clsx5.default)((_clsx4 = {}, (0, _defineProperty2.default)(_clsx4, classes === null || classes === void 0 ? void 0 : classes.tab, !!(classes !== null && classes !== void 0 && classes.tab)), (0, _defineProperty2.default)(_clsx4, styles.tab, !circle), (0, _defineProperty2.default)(_clsx4, styles.tabFisrt, index === 0 && !circle), (0, _defineProperty2.default)(_clsx4, styles.tabLast, index === childrenHead.length - 1 && !circle), (0, _defineProperty2.default)(_clsx4, styles.tabActive, index === value && !circle), (0, _defineProperty2.default)(_clsx4, styles.tabSmall, size === 'small'), (0, _defineProperty2.default)(_clsx4, styles.tabLarge, size === 'large'), (0, _defineProperty2.default)(_clsx4, styles.tabTiny, size === 'tiny'), (0, _defineProperty2.default)(_clsx4, styles.circleTabActive, index === value && circle), (0, _defineProperty2.default)(_clsx4, styles.circleTabTiny, circle && size === 'tiny'), (0, _defineProperty2.default)(_clsx4, styles.circleTab, circle), _clsx4))
          }
        }, rest), index);
      })
    })), chidlrenContent.map(function (Component, index) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_react.Fragment, {
        children: value === index && /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, {})
      }, index);
    })]
  });
}