"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = require("react");

var _core = require("@material-ui/core");

var _Tabs = _interopRequireDefault(require("./Tabs"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Molecules/Tabs',
  component: _Tabs.default,
  args: {
    centered: false
  },
  argTypes: {
    variant: {
      options: ['fullWidth', 'scrollable', 'standard'],
      control: {
        type: 'select'
      },
      defaultValue: 'fullWidth'
    },
    size: {
      options: ['tiny', 'small', 'medium', 'large'],
      control: {
        type: 'select'
      },
      defaultValue: 'medium'
    }
  }
};
exports.default = _default;

var a11yProps = function a11yProps(index) {
  return {
    label: "Item ".concat(index),
    id: "stories-tab-".concat(index),
    'aria-controls': "stories-tabpanel-".concat(index)
  };
};

function TabPanel() {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
    padding: 5,
    children: "sol1"
  });
}

function TabPanel1() {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
    padding: 5,
    children: "sol2"
  });
}

function TabPanel2() {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Box, {
    padding: 5,
    children: "sol3"
  });
}

var childrenHead = [_objectSpread({}, a11yProps(1)), _objectSpread({}, a11yProps(2)), _objectSpread({}, a11yProps(3))];
var chidlrenContent = [TabPanel, TabPanel1, TabPanel2];

var TabsComponent = function TabsComponent(args) {
  var _useState = (0, _react.useState)(0),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  var handleChange = function handleChange(_, newValue) {
    setValue(newValue);
  };

  var handleChangeIndex = function handleChangeIndex(index) {
    setValue(index);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default, _objectSpread({
    indicatorColor: "primary",
    textColor: "primary",
    "aria-label": "full width tabs example",
    childrenHead: childrenHead,
    chidlrenContent: chidlrenContent,
    onChangeIndex: handleChangeIndex,
    onChange: handleChange,
    value: value
  }, args));
};

var Default = TabsComponent.bind({});
exports.Default = Default;
Default.args = {
  circle: true
};