import { TabsProps, TabProps } from '@material-ui/core';
import { ChangeEvent } from 'react';
export interface ITab extends TabProps {
}
declare type TClasses = {
    root?: string;
    tabs?: string;
    tab?: string;
    swipeableViews: string;
    indicator: string;
};
export interface ITabs extends Omit<TabsProps, 'onChange'> {
    childrenHead: ITab[];
    chidlrenContent: any[];
    onChangeIndex: (number: number) => void;
    onChange: (event: ChangeEvent, value: any) => void;
    value: number;
    circle?: boolean;
    size?: 'small' | 'medium' | 'large' | 'tiny';
    classes?: TClasses;
}
export {};
