import { ReactNode } from 'react';
export declare type TToast = 'error' | 'warning' | 'info' | 'success';
export interface IToast {
    severity: TToast;
    title: string;
    exchange?: boolean;
    description?: string;
}
export interface IToastContext {
    openAlert: boolean;
    handleOpenAlert(args: IToast): void;
    handleCloseAlert(): void;
}
export interface IToastProvider {
    children: ReactNode;
    exchange?: boolean;
}
