"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _Atoms = require("../../Atoms");

var _Molecules = require("../../Molecules");

var _images = _interopRequireDefault(require("./images"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var KycVerifyAlert = function KycVerifyAlert(_ref) {
  var open = _ref.open,
      handleClose = _ref.handleClose,
      _ref$inProgress = _ref.inProgress,
      inProgress = _ref$inProgress === void 0 ? false : _ref$inProgress,
      onClick = _ref.onClick;
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Molecules.Modal, {
    open: open || false,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
      src: _images.default,
      alt: "Verification",
      className: styles.img
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
      component: "h2",
      className: styles.title,
      children: "\xA1Ya eres parte de tauros!"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: styles.content,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
        align: "justify",
        children: "Para obtener todos los beneficios de tauros necesitas verificar tu identidad; es necesario tener a la mano una identificaci\xF3n oficial, el proceso es facil y r\xE1pido."
      }), !inProgress ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
        variant: "contained",
        color: "primary",
        fullWidth: true,
        className: styles.buttonPrimary,
        onClick: onClick,
        children: "Verificar identidad"
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
        align: "center",
        className: styles.inProgress,
        children: "Verificaci\xF3n en proceso"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
        onClick: handleClose,
        variant: "text",
        className: styles.btnText,
        children: inProgress ? 'Cerrar' : 'En otro momento'
      })]
    })]
  });
};

var _default = KycVerifyAlert;
exports.default = _default;