"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _theme = require("../../../theme");

var _default = (0, _core.makeStyles)(function () {
  return {
    title: {
      textAlign: 'center',
      fontWeight: 'bold',
      fontSize: 22
    },
    content: {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center'
    },
    img: {
      width: '96%',
      margin: '24px 0'
    },
    buttonPrimary: {
      marginTop: 40,
      marginBottom: 12
    },
    btnText: {
      '& > span': {
        color: _theme.light.palette.text.primary,
        fontSize: 14
      }
    },
    inProgress: {
      marginTop: 32,
      marginBottom: 12,
      fontWeight: 500
    }
  };
});

exports.default = _default;