"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _hooks = require("../../../hooks");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var SuggestDomains = function SuggestDomains(_ref) {
  var _inputRef$current;

  var value = _ref.value,
      setValue = _ref.setValue,
      inputRef = _ref.inputRef;
  var classes = (0, _styles.default)({
    widthRef: (inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.offsetWidth) || 0
  });

  var _useSuggestDomains = (0, _hooks.useSuggestDomains)({
    value: value
  }),
      open = _useSuggestDomains.open,
      domains = _useSuggestDomains.domains;

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: open && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Popper, {
      keepMounted: true,
      transition: true,
      open: open && domains.length > 0,
      anchorEl: inputRef === null || inputRef === void 0 ? void 0 : inputRef.current,
      placement: "bottom-start",
      children: function children(_ref2) {
        var TransitionProps = _ref2.TransitionProps;
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Grow, _objectSpread(_objectSpread({}, TransitionProps), {}, {
          style: {
            transformOrigin: 'left bottom'
          },
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Paper, {
            className: classes.paper,
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.MenuList, {
              className: classes.menu,
              children: domains === null || domains === void 0 ? void 0 : domains.map(function (domain) {
                return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.MenuItem, {
                  onClick: function onClick() {
                    return setValue("".concat(value === null || value === void 0 ? void 0 : value.split('@')[0], "@").concat(domain));
                  },
                  children: [value === null || value === void 0 ? void 0 : value.split('@')[0], "@", domain]
                }, domain);
              })
            })
          })
        }));
      }
    })
  });
};

var _default = SuggestDomains;
exports.default = _default;