"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _Input = _interopRequireDefault(require("../../Atoms/Input"));

var _SuggestDomains = _interopRequireDefault(require("./SuggestDomains"));

var _jsxRuntime = require("react/jsx-runtime");

var _default = {
  title: 'Tauros-web-ui/Organisms/SuggestDomains',
  component: _SuggestDomains.default,
  args: {},
  argTypes: {}
};
exports.default = _default;

var SuggestComponent = function SuggestComponent(args) {
  var _useState = (0, _react.useState)(''),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  var inputRef = (0, _react.useRef)();

  var handleOnChange = function handleOnChange(e) {
    setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      variant: "gradient",
      innerRef: inputRef,
      type: "password",
      label: "E-mail",
      value: value,
      onChange: handleOnChange,
      textRight: /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
        children: "\xBFOlvidaste tu contrase\xF1a?"
      }),
      placeholder: "8 caract\xE9res, 1 may\xFAscula y 1 n\xFAmero.",
      helperText: "8 caract\xE9res, 1 may\xFAscula y 1 n\xFAmero."
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_SuggestDomains.default, {
      value: value,
      inputRef: inputRef,
      setValue: setValue
    })]
  });
};

var Default = SuggestComponent.bind({});
exports.Default = Default;
Default.parameters = {
  controls: {
    exclude: ['setValue', 'inputRef']
  }
};
Default.args = {};