"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _core = require("@material-ui/core");

var _Button = require("@material-ui/core/Button/Button");

var _clsx2 = _interopRequireDefault(require("clsx"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["children", "classes", "className", "color", "component", "disabled", "disableElevation", "disableFocusRipple", "endIcon", "focusVisibleClassName", "fullWidth", "size", "startIcon", "type", "variant"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var NewBtn = /*#__PURE__*/(0, _react.forwardRef)(function Button(props, ref) {
  var _clsx;

  var children = props.children,
      classes = props.classes,
      className = props.className,
      _props$color = props.color,
      color = _props$color === void 0 ? 'default' : _props$color,
      _props$component = props.component,
      component = _props$component === void 0 ? 'button' : _props$component,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      _props$disableElevati = props.disableElevation,
      disableElevation = _props$disableElevati === void 0 ? false : _props$disableElevati,
      _props$disableFocusRi = props.disableFocusRipple,
      disableFocusRipple = _props$disableFocusRi === void 0 ? false : _props$disableFocusRi,
      endIconProp = props.endIcon,
      focusVisibleClassName = props.focusVisibleClassName,
      _props$fullWidth = props.fullWidth,
      fullWidth = _props$fullWidth === void 0 ? false : _props$fullWidth,
      _props$size = props.size,
      size = _props$size === void 0 ? 'medium' : _props$size,
      startIconProp = props.startIcon,
      _props$type = props.type,
      type = _props$type === void 0 ? 'button' : _props$type,
      _props$variant = props.variant,
      variant = _props$variant === void 0 ? 'text' : _props$variant,
      other = (0, _objectWithoutProperties2.default)(props, _excluded);
  var startIcon = startIconProp && /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
    className: (0, _clsx2.default)(classes.startIcon, classes["iconSize".concat((0, _core.capitalize)(size))]),
    children: startIconProp
  });
  var endIcon = endIconProp && /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
    className: (0, _clsx2.default)(classes.endIcon, classes["iconSize".concat((0, _core.capitalize)(size))]),
    children: endIconProp
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.ButtonBase, _objectSpread(_objectSpread({
    className: (0, _clsx2.default)(classes.root, classes[variant], (_clsx = {}, (0, _defineProperty2.default)(_clsx, classes["".concat(variant).concat((0, _core.capitalize)(color))], color !== 'default' && color !== 'inherit'), (0, _defineProperty2.default)(_clsx, classes["".concat(variant, "Size").concat((0, _core.capitalize)(size))], size !== 'medium'), (0, _defineProperty2.default)(_clsx, classes["size".concat((0, _core.capitalize)(size))], size !== 'medium'), (0, _defineProperty2.default)(_clsx, classes.disableElevation, disableElevation), (0, _defineProperty2.default)(_clsx, classes.disabled, disabled), (0, _defineProperty2.default)(_clsx, classes.fullWidth, fullWidth), (0, _defineProperty2.default)(_clsx, classes.colorInherit, color === 'inherit'), _clsx), className),
    component: component,
    disabled: disabled,
    focusRipple: !disableFocusRipple,
    focusVisibleClassName: (0, _clsx2.default)(classes.focusVisible, focusVisibleClassName),
    ref: ref,
    type: type
  }, other), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
      className: classes.label,
      children: [startIcon, children, endIcon]
    })
  }));
});

var _default = (0, _core.withStyles)(_Button.styles, {
  name: 'TuiBtn'
})(NewBtn);

exports.default = _default;