import { MenuProps } from '@material-ui/core';
import { CalendarProps } from 'react-calendar';
import { IInput, IClasses as IClassesInput } from '../Input/interfaces';
interface IClasses extends IClassesInput {
    classesCalendar?: string;
}
interface IOnErrorProps {
    code?: string;
    msg?: string;
}
export interface IDatePicker extends Omit<IInput, 'classes' | 'onError'> {
    classes?: IClasses;
    menuProps?: MenuProps;
    calendarProps?: CalendarProps;
    onError?: (res: IOnErrorProps) => void;
}
export {};
