"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    select: {
      cursor: 'pointer',
      zIndex: 11,
      '& input': {
        cursor: function cursor(_ref2) {
          var withAutocomplete = _ref2.withAutocomplete;
          return withAutocomplete ? 'text' : 'pointer';
        }
      }
    },
    selectError: {
      color: palette.error.main
    },
    selectOutlined: {
      borderRadius: 4,
      fontWeight: 500,
      color: palette.secondary.dark,
      padding: '6px 8px',
      backgroundColor: "".concat(palette.secondary.main, " !important"),
      '&:focus': {
        backgroundColor: "".concat(palette.secondary.main, " !important"),
        color: palette.secondary.dark
      }
    },
    selectOutlinedError: {
      color: palette.error.main,
      backgroundColor: "rgb(255 223 226) !important",
      '&:focus': {
        color: palette.error.main,
        backgroundColor: "rgb(255 223 226) !important"
      }
    },
    icon: {
      color: palette.secondary.dark,
      marginRight: 7,
      fontSize: '1.313rem',
      top: 'auto'
    },
    iconError: {
      color: "".concat(palette.error.main, " !important")
    },
    iconOpen: {
      transform: 'rotate(180deg)'
    },
    iconOpenOutlined: {
      color: palette.primary.main
    },
    divCloseHidden: {
      display: 'none'
    },
    divCloseShow: {
      position: 'fixed',
      zIndex: 10,
      width: '100%',
      height: '100vh',
      top: 0
    }
  };
});

exports.default = _default;