"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx2 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["error", "classes"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var FormControlLabelComponent = function FormControlLabelComponent(props) {
  var _clsx;

  var classes = (0, _styles.default)();
  var error = props.error,
      classesProps = props.classes,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.FormControlLabel, _objectSpread({
    classes: _objectSpread(_objectSpread({}, classesProps), {}, {
      label: (0, _clsx2.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.label, true), (0, _defineProperty2.default)(_clsx, classes.labelError, error), (0, _defineProperty2.default)(_clsx, (classesProps === null || classesProps === void 0 ? void 0 : classesProps.label) || '', !!(classesProps !== null && classesProps !== void 0 && classesProps.label)), _clsx))
    })
  }, rest));
};

var _default = FormControlLabelComponent;
exports.default = _default;