"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _core = require("@material-ui/core");

var _IconButton = require("@material-ui/core/IconButton/IconButton");

var _clsx2 = _interopRequireDefault(require("clsx"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["edge", "children", "classes", "className", "color", "disabled", "disableFocusRipple", "size", "variant"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var IconButton = /*#__PURE__*/(0, _react.forwardRef)(function IconButton(props, ref) {
  var _clsx;

  var _props$edge = props.edge,
      edge = _props$edge === void 0 ? false : _props$edge,
      children = props.children,
      classes = props.classes,
      className = props.className,
      _props$color = props.color,
      color = _props$color === void 0 ? 'default' : _props$color,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      _props$disableFocusRi = props.disableFocusRipple,
      disableFocusRipple = _props$disableFocusRi === void 0 ? false : _props$disableFocusRi,
      _props$size = props.size,
      size = _props$size === void 0 ? 'medium' : _props$size,
      _props$variant = props.variant,
      variant = _props$variant === void 0 ? 'text' : _props$variant,
      other = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classesLocal = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.ButtonBase, _objectSpread(_objectSpread({
    className: (0, _clsx2.default)(classes === null || classes === void 0 ? void 0 : classes.root, (_clsx = {}, (0, _defineProperty2.default)(_clsx, classes["color".concat((0, _core.capitalize)(color))] || '', color !== 'default'), (0, _defineProperty2.default)(_clsx, classesLocal.containedPrimary, variant === 'contained' && color === 'primary'), (0, _defineProperty2.default)(_clsx, classesLocal.containedSecondary, variant === 'contained' && color === 'secondary'), (0, _defineProperty2.default)(_clsx, (classes === null || classes === void 0 ? void 0 : classes.disabled) || '', disabled), (0, _defineProperty2.default)(_clsx, classes["size".concat((0, _core.capitalize)(size))] || '', size !== 'medium'), (0, _defineProperty2.default)(_clsx, (classes === null || classes === void 0 ? void 0 : classes.edgeStart) || '', edge === 'start'), (0, _defineProperty2.default)(_clsx, (classes === null || classes === void 0 ? void 0 : classes.edgeEnd) || '', edge === 'end'), _clsx), className),
    centerRipple: true,
    focusRipple: !disableFocusRipple,
    disableRipple: variant === 'contained',
    disabled: disabled,
    ref: ref
  }, other), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: classes === null || classes === void 0 ? void 0 : classes.label,
      children: children
    })
  }));
});

var _default = (0, _core.withStyles)(_IconButton.styles, {
  name: 'TuiIconBtn'
})(IconButton);

exports.default = _default;