"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MenuComponent;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _core = require("@material-ui/core");

var _clsx2 = _interopRequireDefault(require("clsx"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["emptyMenu", "classes", "tClasses"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function MenuComponent(_ref) {
  var _clsx;

  var emptyMenu = _ref.emptyMenu,
      classes = _ref.classes,
      tClasses = _ref.tClasses,
      props = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Menu, _objectSpread(_objectSpread({}, props), {}, {
    classes: _objectSpread(_objectSpread({}, classes), {}, {
      paper: (0, _clsx2.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, styles.paper, true), (0, _defineProperty2.default)(_clsx, styles.emptyMenu, emptyMenu), (0, _defineProperty2.default)(_clsx, classes === null || classes === void 0 ? void 0 : classes.paper, !!(classes !== null && classes !== void 0 && classes.paper)), (0, _defineProperty2.default)(_clsx, tClasses === null || tClasses === void 0 ? void 0 : tClasses.paper, !!(tClasses !== null && tClasses !== void 0 && tClasses.paper)), _clsx))
    }),
    children: props.children
  }));
}

MenuComponent.defaultProps = {
  anchorOrigin: {
    vertical: 'bottom',
    horizontal: 'right'
  },
  transformOrigin: {
    vertical: 'top',
    horizontal: 'right'
  },
  classes: {},
  emptyMenu: false,
  getContentAnchorEl: null
};