"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _core = require("@material-ui/core");

var _clsx4 = _interopRequireDefault(require("clsx"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["title", "dialogContentProps", "dialogContentTextProps", "dialogActionsProps", "actions", "classes", "children", "className", "isHover"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var PopoverComponent = function PopoverComponent(_ref) {
  var _clsx;

  var title = _ref.title,
      dialogContentProps = _ref.dialogContentProps,
      dialogContentTextProps = _ref.dialogContentTextProps,
      dialogActionsProps = _ref.dialogActionsProps,
      actions = _ref.actions,
      classes = _ref.classes,
      children = _ref.children,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$isHover = _ref.isHover,
      isHover = _ref$isHover === void 0 ? false : _ref$isHover,
      restProps = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Popover, _objectSpread(_objectSpread({
    className: (0, _clsx4.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, styles.popover, isHover), (0, _defineProperty2.default)(_clsx, className, Boolean(className)), _clsx)),
    classes: {
      paper: (0, _clsx4.default)(styles.popoverRoot, (0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.paper, !!(classes !== null && classes !== void 0 && classes.paper))),
      root: (0, _clsx4.default)((0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.root, !!(classes !== null && classes !== void 0 && classes.root)))
    }
  }, restProps), {}, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.DialogContent, _objectSpread(_objectSpread({}, dialogContentProps), {}, {
      children: [title && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.DialogContentText, _objectSpread(_objectSpread({}, dialogContentTextProps), {}, {
        children: title
      })), children]
    })), actions && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.DialogActions, _objectSpread(_objectSpread({}, dialogActionsProps), {}, {
      children: actions
    }))]
  }));
};

PopoverComponent.defaultProps = {
  anchorEl: null,
  anchorOrigin: {
    vertical: 'center',
    horizontal: 'center'
  },
  transformOrigin: {
    vertical: 'top',
    horizontal: 'center'
  }
};
var _default = PopoverComponent;
exports.default = _default;