"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _FormControlLabel = _interopRequireDefault(require("../FormControlLabel"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["label", "error", "classes", "disabled", "formControlLabelProps"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var RadioComponent = function RadioComponent(props) {
  var _classesProps$classes, _classesProps$classes2, _clsx, _classesProps$classes3, _classesProps$classes4, _clsx2;

  var classes = (0, _styles.default)();
  var label = props.label,
      error = props.error,
      classesProps = props.classes,
      disabled = props.disabled,
      formControlLabelProps = props.formControlLabelProps,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FormControlLabel.default, _objectSpread({
    control: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Radio, _objectSpread({
      color: "primary",
      classes: _objectSpread(_objectSpread({}, classesProps === null || classesProps === void 0 ? void 0 : classesProps.classesRadio), {}, {
        root: (0, _clsx3.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.radio, true), (0, _defineProperty2.default)(_clsx, classes.radioError, error), (0, _defineProperty2.default)(_clsx, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes = classesProps.classesRadio) === null || _classesProps$classes === void 0 ? void 0 : _classesProps$classes.root) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes2 = classesProps.classesRadio) !== null && _classesProps$classes2 !== void 0 && _classesProps$classes2.root)), _clsx)),
        checked: (0, _clsx3.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.radioError, error), (0, _defineProperty2.default)(_clsx2, (classesProps === null || classesProps === void 0 ? void 0 : (_classesProps$classes3 = classesProps.classesRadio) === null || _classesProps$classes3 === void 0 ? void 0 : _classesProps$classes3.checked) || '', !!(classesProps !== null && classesProps !== void 0 && (_classesProps$classes4 = classesProps.classesRadio) !== null && _classesProps$classes4 !== void 0 && _classesProps$classes4.checked)), _clsx2))
      })
    }, rest)),
    label: label,
    disabled: disabled,
    classes: classesProps,
    error: error
  }, formControlLabelProps));
};

var _default = RadioComponent;
exports.default = _default;