"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _Atoms = require("../../Atoms");

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["open", "anchorEl", "handleClosePopover", "handleSubmit", "title", "buttonCancelProps", "buttonSuccessProps", "children"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var PopoverComponent = function PopoverComponent(_ref) {
  var open = _ref.open,
      anchorEl = _ref.anchorEl,
      handleClosePopover = _ref.handleClosePopover,
      handleSubmit = _ref.handleSubmit,
      title = _ref.title,
      buttonCancelProps = _ref.buttonCancelProps,
      buttonSuccessProps = _ref.buttonSuccessProps,
      children = _ref.children,
      restProps = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var styles = (0, _styles.default)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Popover, _objectSpread(_objectSpread({
    classes: {
      paper: styles.popoverRoot
    },
    onClose: handleClosePopover,
    open: open,
    anchorEl: anchorEl,
    title: title,
    dialogContentProps: {
      style: {
        padding: '10px 10px 0 10px'
      },
      className: styles.popoverContentChildren
    },
    dialogContentTextProps: {
      className: styles.popoverContent
    },
    dialogActionsProps: {
      className: styles.popoverActions
    },
    actions: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, _objectSpread(_objectSpread({
        variant: "text",
        onClick: handleClosePopover,
        disableFocusRipple: false
      }, buttonCancelProps), {}, {
        children: "No"
      })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, _objectSpread(_objectSpread({
        variant: "text",
        onClick: handleSubmit,
        disableFocusRipple: false
      }, buttonSuccessProps), {}, {
        children: "S\xED"
      }))]
    })
  }, restProps), {}, {
    children: children
  }));
};

var _default = PopoverComponent;
exports.default = _default;