"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    popoverRoot: {
      backgroundColor: palette.type === 'light' ? palette.background.default : '#232D3A',
      maxWidth: 250,
      width: '100%'
    },
    popoverContent: {
      width: '100%',
      textAlign: 'center',
      fontSize: 16,
      fontWeight: 500,
      color: palette.text.primary,
      padding: '0 20px'
    },
    popoverContentChildren: {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center'
    },
    popoverActions: {
      padding: 0,
      paddingRight: 8,
      '& > button': {
        minWidth: 20,
        '&:first-child': {
          color: palette.text.primary
        },
        '&:last-child': {
          color: '#fc4d4d'
        }
      }
    }
  };
});

exports.default = _default;