import { MutableRefObject, ChangeEventHandler } from 'react';
import { IOption } from '../../Atoms/Dropdown/interfaces';
interface IMenuDropdown {
    open: boolean;
    value: string;
    onChange?: ChangeEventHandler<HTMLInputElement | HTMLTextAreaElement>;
    options: IOption[];
    inputRef: MutableRefObject<HTMLInputElement | null>;
    secondary: boolean;
    withAutocomplete: boolean;
}
declare const MenuDropdown: ({ value, onChange, inputRef, options, open, secondary, withAutocomplete }: IMenuDropdown) => JSX.Element;
export default MenuDropdown;
