"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _clsx4 = _interopRequireDefault(require("clsx"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var MenuDropdown = function MenuDropdown(_ref) {
  var _inputRef$current;

  var _ref$value = _ref.value,
      value = _ref$value === void 0 ? '' : _ref$value,
      _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? function () {} : _ref$onChange,
      inputRef = _ref.inputRef,
      _ref$options = _ref.options,
      options = _ref$options === void 0 ? [] : _ref$options,
      _ref$open = _ref.open,
      open = _ref$open === void 0 ? false : _ref$open,
      _ref$secondary = _ref.secondary,
      secondary = _ref$secondary === void 0 ? false : _ref$secondary,
      _ref$withAutocomplete = _ref.withAutocomplete,
      withAutocomplete = _ref$withAutocomplete === void 0 ? false : _ref$withAutocomplete;
  var classes = (0, _styles.default)({
    widthRef: (inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.offsetWidth) || 0
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: open && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Popper, {
      keepMounted: true,
      transition: true,
      open: open && options.length > 0,
      anchorEl: inputRef === null || inputRef === void 0 ? void 0 : inputRef.current,
      placement: "bottom-start",
      className: classes.popper,
      children: function children(_ref2) {
        var _clsx, _clsx2;

        var TransitionProps = _ref2.TransitionProps;
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Grow, _objectSpread(_objectSpread({}, TransitionProps), {}, {
          style: {
            transformOrigin: 'left bottom'
          },
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Paper, {
            className: (0, _clsx4.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.paper, true), (0, _defineProperty2.default)(_clsx, classes.paperOutlined, secondary), _clsx)),
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.MenuList, {
              className: (0, _clsx4.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.menuList, true), (0, _defineProperty2.default)(_clsx2, classes.menuListOutlined, secondary), _clsx2)),
              id: "menu-list",
              children: options.map(function (opt) {
                var _clsx3;

                return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.MenuItem, {
                  onClick: function onClick() {
                    return onChange({
                      target: {
                        value: opt.value,
                        name: opt.label
                      }
                    });
                  },
                  className: (0, _clsx4.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.selectedMenu, opt.value === value && !secondary), (0, _defineProperty2.default)(_clsx3, classes.selectedMenuOutlined, opt.value === value && secondary), _clsx3)),
                  children: withAutocomplete ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
                    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("strong", {
                      children: opt.label.substring(0, value.length)
                    }), opt.value.substring(value.length)]
                  }) : opt.label
                }, opt.value);
              })
            })
          })
        }));
      }
    })
  });
};

var _default = MenuDropdown;
exports.default = _default;