"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

// import { IButton } from './interfaces'
var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      breakpoints = _ref.breakpoints;
  return {
    container: {
      backgroundColor: palette.background.navbar,
      height: 65,
      padding: '0 4vw',
      display: 'flex',
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'space-between',
      boxShadow: 'unset'
    },
    logo: (0, _defineProperty2.default)({
      height: 30
    }, breakpoints.down('xs'), {
      height: 25
    }),
    children: {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'space-between'
    },
    movil: {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center'
    },
    movilItems: {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center'
    },
    movilItem: {
      width: '100%',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center'
    }
  };
});

exports.default = _default;