"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = require("react");

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["sitekey", "onChange", "theme", "type", "tabindex", "onExpired", "onErrored", "size", "stoken", "grecaptcha", "badge", "hl", "isolated"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2.default)(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2.default)(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2.default)(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var ReCAPTCHA = /*#__PURE__*/function (_Component) {
  (0, _inherits2.default)(ReCAPTCHA, _Component);

  var _super = _createSuper(ReCAPTCHA);

  function ReCAPTCHA(props) {
    var _this;

    (0, _classCallCheck2.default)(this, ReCAPTCHA);
    _this = _super.call(this, props);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "_widgetId", undefined);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "captcha", undefined);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "_executeRequested", false);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "executionResolve", function () {});
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "executionReject", function () {});
    _this.handleExpired = _this.handleExpired.bind((0, _assertThisInitialized2.default)(_this));
    _this.handleErrored = _this.handleErrored.bind((0, _assertThisInitialized2.default)(_this));
    _this.handleChange = _this.handleChange.bind((0, _assertThisInitialized2.default)(_this));
    _this.handleRecaptchaRef = _this.handleRecaptchaRef.bind((0, _assertThisInitialized2.default)(_this));
    return _this;
  }

  (0, _createClass2.default)(ReCAPTCHA, [{
    key: "getValue",
    value: function getValue() {
      if (this.props.grecaptcha && this._widgetId !== undefined) {
        return this.props.grecaptcha.getResponse(this._widgetId);
      }

      return null;
    }
  }, {
    key: "getWidgetId",
    value: function getWidgetId() {
      if (this.props.grecaptcha && this._widgetId !== undefined) {
        return this._widgetId;
      }

      return null;
    }
  }, {
    key: "execute",
    value: function execute() {
      var grecaptcha = this.props.grecaptcha;

      if (grecaptcha && this._widgetId !== undefined) {
        return grecaptcha.execute(this._widgetId);
      } else {
        this._executeRequested = true;
      }
    }
  }, {
    key: "executeAsync",
    value: function executeAsync() {
      var _this2 = this;

      return new Promise(function (resolve, reject) {
        _this2.executionResolve = resolve;
        _this2.executionReject = reject;

        _this2.execute();
      });
    }
  }, {
    key: "reset",
    value: function reset() {
      if (this.props.grecaptcha && this._widgetId !== undefined) {
        this.props.grecaptcha.reset(this._widgetId);
      }
    }
  }, {
    key: "forceReset",
    value: function forceReset() {
      if (this.props.grecaptcha) {
        this.props.grecaptcha.reset();
      }
    }
  }, {
    key: "handleExpired",
    value: function handleExpired() {
      if (this.props.onExpired) {
        this.props.onExpired();
      } else {
        this.handleChange(null);
      }
    }
  }, {
    key: "handleErrored",
    value: function handleErrored() {
      if (this.props.onErrored) {
        this.props.onErrored();
      }

      if (this.executionReject) {
        this.executionReject();
        delete this.executionResolve;
        delete this.executionReject;
      }
    }
  }, {
    key: "handleChange",
    value: function handleChange(token) {
      if (this.props.onChange) {
        this.props.onChange(token);
      }

      if (this.executionResolve) {
        this.executionResolve(token);
        delete this.executionReject;
        delete this.executionResolve;
      }
    }
  }, {
    key: "explicitRender",
    value: function explicitRender() {
      if (this.props.grecaptcha && this.props.grecaptcha.render && this._widgetId === undefined) {
        var _this$captcha;

        var wrapper = document.createElement('div');
        this._widgetId = this.props.grecaptcha.render(wrapper, {
          sitekey: this.props.sitekey,
          callback: this.handleChange,
          theme: this.props.theme,
          type: this.props.type,
          tabindex: this.props.tabindex,
          'expired-callback': this.handleExpired,
          'error-callback': this.handleErrored,
          size: this.props.size,
          stoken: this.props.stoken,
          hl: this.props.hl,
          badge: this.props.badge,
          isolated: this.props.isolated
        });
        (_this$captcha = this.captcha) === null || _this$captcha === void 0 ? void 0 : _this$captcha.appendChild(wrapper);
      }

      if (this._executeRequested && this.props.grecaptcha && this._widgetId !== undefined) {
        this._executeRequested = false;
        this.execute();
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.explicitRender();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      this.explicitRender();
    }
  }, {
    key: "handleRecaptchaRef",
    value: function handleRecaptchaRef(elem) {
      this.captcha = elem;
    }
  }, {
    key: "render",
    value: function render() {
      // consume properties owned by the reCATPCHA, pass the rest to the div so the user can style it.
      var _this$props = this.props,
          sitekey = _this$props.sitekey,
          onChange = _this$props.onChange,
          theme = _this$props.theme,
          type = _this$props.type,
          tabindex = _this$props.tabindex,
          onExpired = _this$props.onExpired,
          onErrored = _this$props.onErrored,
          size = _this$props.size,
          stoken = _this$props.stoken,
          grecaptcha = _this$props.grecaptcha,
          badge = _this$props.badge,
          hl = _this$props.hl,
          isolated = _this$props.isolated,
          childProps = (0, _objectWithoutProperties2.default)(_this$props, _excluded);
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", _objectSpread(_objectSpread({}, childProps), {}, {
        ref: this.handleRecaptchaRef
      }));
    }
  }]);
  return ReCAPTCHA;
}(_react.Component);

exports.default = ReCAPTCHA;
(0, _defineProperty2.default)(ReCAPTCHA, "defaultProps", void 0);
ReCAPTCHA.defaultProps = {
  onChange: function onChange() {},
  theme: 'light',
  type: 'image',
  tabindex: 0,
  size: 'normal',
  badge: 'bottomright'
};