"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ToastProvider = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _Toast = _interopRequireDefault(require("./Toast"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var ToastContext = /*#__PURE__*/(0, _react.createContext)({});

var ToastProvider = function ToastProvider(_ref) {
  var children = _ref.children,
      exchange = _ref.exchange;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      openAlert = _useState2[0],
      setOpenAlert = _useState2[1];

  var _useState3 = (0, _react.useState)({
    severity: 'info',
    title: ''
  }),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      infoAlert = _useState4[0],
      setInfoAlert = _useState4[1];

  var handleOpenAlert = function handleOpenAlert(args) {
    setInfoAlert(args);
    setOpenAlert(true);
  };

  var handleCloseAlert = function handleCloseAlert() {
    return setOpenAlert(false);
  };

  var data = {
    openAlert: openAlert,
    handleOpenAlert: handleOpenAlert,
    handleCloseAlert: handleCloseAlert
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(ToastContext.Provider, {
    value: data,
    children: [openAlert && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Toast.default, _objectSpread(_objectSpread({}, infoAlert), {}, {
      exchange: exchange !== null && exchange !== void 0 ? exchange : infoAlert.exchange
    })), children]
  });
};

exports.ToastProvider = ToastProvider;
var _default = ToastContext;
exports.default = _default;