interface IGoogleReCaptchaOptions {
    siteKey: string;
    language?: string;
    loadOnStart?: boolean;
    action?: string;
}
interface IGoogleReCaptchaV3HookReturn {
    reCaptchaResponseToken?: string;
    executeReCaptcha: (action?: string) => Promise<string>;
}
declare type TGoogleReCaptchaV3Hook = (options: IGoogleReCaptchaOptions) => IGoogleReCaptchaV3HookReturn;
declare const useGoogleReCaptchaV3: TGoogleReCaptchaV3Hook;
export default useGoogleReCaptchaV3;
