"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var useIntervalSendEmail = function useIntervalSendEmail() {
  var _useState = (0, _react.useState)(0),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      time = _useState2[0],
      setTime = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      isActive = _useState4[0],
      setIsActive = _useState4[1];

  (0, _react.useEffect)(function () {
    var intervalId;

    if (isActive) {
      intervalId = setInterval(function () {
        if (time !== 0) setTime(function (counter) {
          return counter - 1;
        });
      }, 1000);
    } else if (!isActive && time === 0) {
      clearInterval(intervalId);
    }

    return function () {
      return clearInterval(intervalId);
    };
  }, [isActive, time]);

  var initInterval = function initInterval() {
    var seconds = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 60;
    setTime(seconds);
    setIsActive(true);
  };

  var resetInterval = function resetInterval() {
    setIsActive(false);
    setTime(0);
  };

  return {
    time: time,
    initInterval: initInterval,
    resetInterval: resetInterval
  };
};

var _default = useIntervalSendEmail;
exports.default = _default;