"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _domains = _interopRequireDefault(require("../data/domains.json"));

var useSuggestDomains = function useSuggestDomains(_ref) {
  var value = _ref.value;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      openEmailHelper = _useState2[0],
      setOpenEmailHelper = _useState2[1];

  var _useState3 = (0, _react.useState)([]),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      data = _useState4[0],
      setData = _useState4[1];

  var filterData = function filterData() {
    setOpenEmailHelper(true);
    if (value === '') setOpenEmailHelper(false);

    if (value !== null && value !== void 0 && value.includes('@')) {
      var separate = value === null || value === void 0 ? void 0 : value.split('@');
      var domain = separate[1];

      if (domain.includes('.')) {
        setOpenEmailHelper(false);
      } else {
        setOpenEmailHelper(true);

        var newDomains = _domains.default.filter(function (item) {
          return item.includes(domain);
        });

        setData(newDomains);
      }
    } else {
      setData(_domains.default);
    }
  };

  (0, _react.useEffect)(function () {
    filterData();
  }, [value]);
  return {
    open: openEmailHelper,
    domains: data
  };
};

var _default = useSuggestDomains;
exports.default = _default;