interface IError {
    message: string;
    error: string;
}
interface IUseValidatePassword {
    password?: string;
    confirmPassword?: string;
    validationOptions?: {
        minLength?: boolean;
        lowercase?: boolean;
        uppercase?: boolean;
        specialCharacter?: boolean;
        number?: boolean;
        consecutive_numbers?: boolean;
        sequential_numbers?: boolean;
        invalid_words?: boolean;
    };
}
declare const useValidatePassword: ({ password, confirmPassword, validationOptions }: IUseValidatePassword) => {
    validateInputPass: (value?: string, isConfirmPass?: boolean) => void;
    errorPassword: IError[];
    errorConfirm: string;
    checkErrors: {};
    successPass: boolean;
    success: boolean;
    isCheck: boolean;
    validateInputError: boolean;
};
export default useValidatePassword;
